org.apache.hc.client5.http.cache

## Interface HttpAsyncCacheInvalidator

- All Known Implementing Classes:
    DefaultAsyncCacheInvalidator

      @Internal
      public interface HttpAsyncCacheInvalidator

  Given a particular HTTP request / response pair, flush any cache entries that this exchange would invalidate.
  Since:
    5.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hc.core5.concurrent.Cancellable` | `flushCacheEntriesInvalidatedByExchange(org.apache.hc.core5.http.HttpHost host, org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.HttpResponse response, org.apache.hc.core5.function.Resolver<URI,String> cacheKeyResolver, HttpAsyncCacheStorage cacheStorage, org.apache.hc.core5.concurrent.FutureCallback<Boolean> callback)` Flush `HttpCacheEntry`s invalidated by the given message exchange.
    `org.apache.hc.core5.concurrent.Cancellable` | `flushCacheEntriesInvalidatedByRequest(org.apache.hc.core5.http.HttpHost host, org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.function.Resolver<URI,String> cacheKeyResolver, HttpAsyncCacheStorage cacheStorage, org.apache.hc.core5.concurrent.FutureCallback<Boolean> callback)` Flush `HttpCacheEntry`s invalidated by the given request.

- - ### Method Detail

    - #### flushCacheEntriesInvalidatedByRequest

          org.apache.hc.core5.concurrent.Cancellable flushCacheEntriesInvalidatedByRequest(org.apache.hc.core5.http.HttpHost host,
                                                                                         org.apache.hc.core5.http.HttpRequest request,
                                                                                         org.apache.hc.core5.function.Resolver<URI,String> cacheKeyResolver,
                                                                                         HttpAsyncCacheStorage cacheStorage,
                                                                                         org.apache.hc.core5.concurrent.FutureCallback<Boolean> callback)

      Flush `HttpCacheEntry`s invalidated by the given request.
      Parameters:
        `host` - backend host
        `request` - request message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
        `callback` - result callback

    - #### flushCacheEntriesInvalidatedByExchange

          org.apache.hc.core5.concurrent.Cancellable flushCacheEntriesInvalidatedByExchange(org.apache.hc.core5.http.HttpHost host,
                                                                                          org.apache.hc.core5.http.HttpRequest request,
                                                                                          org.apache.hc.core5.http.HttpResponse response,
                                                                                          org.apache.hc.core5.function.Resolver<URI,String> cacheKeyResolver,
                                                                                          HttpAsyncCacheStorage cacheStorage,
                                                                                          org.apache.hc.core5.concurrent.FutureCallback<Boolean> callback)

      Flush `HttpCacheEntry`s invalidated by the given message exchange.
      Parameters:
        `host` - backend host
        `request` - request message
        `response` - response message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
        `callback` - result callback

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.